# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           jena
Version:        2.6.4
Release:        3%{?dist}
Epoch:          0
Summary:        A Semantic Web framework for Java
License:        BSD
URL:            http://jena.sourceforge.net/
Group:          Development/Libraries/Java
Source0:        jena-2.6.4.tgz
# cvs -d:pserver:anonymous@jena.cvs.sourceforge.net:/cvsroot/jena login
# cvs -z3 -d:pserver:anonymous@jena.cvs.sourceforge.net:/cvsroot/jena export -r Jena-2_6_4 -d jena-2.6.4 jena2
# tar czf ../SOURCES/jena-2.6.4.tgz jena-2.6.4/

Requires: jena-iri
Requires: icu4j
Requires: log4j
Requires: slf4j
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  icu4j
BuildRequires:  java-javadoc
BuildRequires:  jena-iri
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  junit4
BuildRequires:  log4j
BuildRequires:  slf4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Jena is a Java framework for building Semantic Web applications. It
provides a programmatic environment for RDF, RDFS and OWL, including a
rule-based inference engine. Jena is open source and grown out of work with
the HP Labs Semantic Web Programme.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q 
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done

%build
export CLASSPATH=$(build-classpath jena-iri junit4 icu4j slf4j/slf4j-api slf4j/slf4j-log4j12 log4j stax_1_0_api wstx/wstx-asl)
%ant -Dbuild.sysclasspath=first  main javadoc test

%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a lib/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# poms
%__mkdir_p %{buildroot}%{_datadir}/maven2/poms
%__cp pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-jena.pom
%add_to_maven_depmap com.hp.hpl.jena %{name} %{version} JPP %{name}

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
%__rm -rf doc/javadoc/

%clean
%__rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc doc/
%{_javadir}/%{name}*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}
%doc %{_javadocdir}/%{name}-%{version}

%changelog
* Thu Nov 01 2012 Will Tatam <will.tatam@red61.com> 2.6.4-3
- Auto rebuild for JPackage 6 in centos5 mock

* Sun Jun 17 2012 Ralph Apel <r.apel@r-apel.de> 0:2.6.4-2
- Avoid FileDigest and PayloadIsXz problems on EL5

* Mon May 21 2012 Ralph Apel <r.apel@r-apel.de> 0:2.6.4-1
- 2.6.4

* Sun Jan 29 2005 David Walluck <david@jpackage.org> 0:2.2-0.beta1.1jpp
- release (contributed by Mary Ellen Foster <mefoster at gmail.com>)
